> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getwarpcategories.md).

# /api/playerwarps/getWarpCategories/{page}

* **Parameters:**
  * `page`: The page number to retrieve (for pagination).
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
      "categories": [
          {
              "teleportPrice": -1.0,
              "purgeTime": -1,
              "removeDaysTime": -1,
              "all": true,
              "icon": {
                  "type": "BOOK",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"All Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
                  }
              },
              "name": "all",
              "permission": "",
              "displayName": "All"
          },
          {
              "teleportPrice": -1.0,
              "purgeTime": -1,
              "removeDaysTime": -1,
              "all": false,
              "icon": {
                  "type": "OAK_PLANKS",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"House Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the house warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
                  }
              },
              "name": "houses",
              "permission": "",
              "displayName": "Houses"
          },
          {
              "teleportPrice": -1.0,
              "purgeTime": 40,
              "removeDaysTime": 40,
              "all": false,
              "icon": {
                  "type": "CHEST",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"Shop Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the shop warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}",
                      "blockMaterial": "CHEST"
                  }
              },
              "name": "shops",
              "permission": "pw.view.shop",
              "displayName": "Shops"
          },
          {
              "teleportPrice": -1.0,
              "purgeTime": -1,
              "removeDaysTime": -1,
              "all": false,
              "icon": {
                  "type": "DIAMOND_HOE",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"Farm Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the farm warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
                  }
              },
              "name": "farms",
              "permission": "",
              "displayName": "Farms"
          },
          {
              "teleportPrice": -1.0,
              "purgeTime": -1,
              "removeDaysTime": -1,
              "all": false,
              "icon": {
                  "type": "DIAMOND_SWORD",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"PvP Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the pvp warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
                  }
              },
              "name": "pvp",
              "permission": "",
              "displayName": "PvP"
          },
          {
              "teleportPrice": -1.0,
              "purgeTime": -1,
              "removeDaysTime": -1,
              "all": false,
              "icon": {
                  "type": "PAPER",
                  "meta": {
                      "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"Other Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
                      "lore": [
                          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the other warps.\",\"color\":\"aqua\"}],\"italic\":false}"
                      ],
                      "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
                  }
              },
              "name": "other",
              "permission": "",
              "displayName": "Other"
          }
      ],
      "totalPages": 1,
      "currentPage": 1,
      "totalCategories": 6
  }
  ```

**Fields:**

* **categories** (Array of Warp objects):
  * **name** (String): Category name.
  * **teleportPrice** (Number): Price to teleport.
  * **purgeTime** (Number): Time until purge.
  * **permission** (String): Required permission.
  * **removeDaysTime** (Number): Time until removal.
  * **all** (Boolean): Whether it includes all warps.
  * **icon** (Object):
    * **type** (String): The type of the icon.
    * **meta** (Object):
    * **display-name** (String): The display name of the icon.
    * **lore** (Array of Strings): Lore description.
    * **PublicBukkitValues** (String): Custom Bukkit metadata.
  * **totalPages** (Number): Number of pages.
  * **currentPage** (Number): Current page.
  * **totalCategories** (Number): Total amount of categories on the server.

**Note:**

* [**Authentication**](/projects/playerwarps/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access warp information if you do not own the warp.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getwarpcategories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
